package org.kne.cloud.network;

import java.io.DataInputStream;
import java.io.IOException;
import java.io.InputStream;

public class RDPDetectorItem implements ProtocolDetectorItem {

	@Override
	public Protocol apply(InputStream t) {
		try {
			if(new DataInputStream(t).readShort()==768)
				return new Protocol("RDP");
		} catch (IOException e) {
		}
		return null;
	}

}
